Subject: [bug#45104] pull: Add a "with-substitutes" option.

From: Mathieu Othacehe <[email-masked]>
Date: Tue, 15 Dec 2020 11:30:12 +0100

Hello zimoun,

> As mentioned earlier, if “guix pull” completes only when substitutes is
> available, then depending on the CI, the user can never complete the
> “pull” and so stay “blocked“.

There's nothing blocking in what I'm proposing. "guix pull" first asks
to the CI what's the latest commit with available substitutes for
"guix", and then tries to update to that commit. If it results in a
downgrade then, "guix pull" detects it.

The corner case where there are no commits with available substitutes is
not handled, but I guess we could decide to update to the latest commit
in that case.

Thanks,

Mathieu